/*
   FNT - kernel
   Main file

   Copyright (C) 2009 Free Software Foundation, Inc.

   Written by:
   Slava Zanko <slavazanko@gmail.com>


   This file is part of the FIDO New Technology.

   FIDO New Technology is free software: you can redistribute it and/or 
   modify it under the terms of the GNU General Public License as published 
   by the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include "../include/global.h"
#include "../include/types.h"
#include "../include/error.h"
#include "../include/main.h"

#include "main.h"

/*** global variables **************************************************/

/*** file scope macro definitions **************************************/

/*** file scope type declarations **************************************/

/*** file scope variables **********************************************/

static gchar *main_config_file;

static GOptionEntry command_line_entries[] = {
    {NULL}
};

/*** file scope functions **********************************************/

/*** public functions **************************************************/

int
main (int argc, char **argv)
{
    setlocale (LC_ALL, "");
    bindtextdomain (PACKAGE, LOCALEDIR);
    textdomain (PACKAGE);

    fnt_parseCommandLineOptions (command_line_entries,
            "- test tree model performance",
            "Copyright (C) 2009 Free Software Foundation, Inc.\n\
Written by: Slava Zanko <slavazanko@gmail.com>\n\
This program comes with ABSOLUTELY NO WARRANTY. This is free software, and you\n\
are welcome to redistribute it under certain conditions.",
            NULL,
            NULL,
            &argc, &argv);

    return 0;
}
